Update brain
curl --request PATCH \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/brains/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"purpose": "<string>",
"kit_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instance_instructions": "<string>"
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/brains/{id}"
payload = {
"name": "<string>",
"purpose": "<string>",
"kit_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instance_instructions": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
purpose: '<string>',
kit_version_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
instance_instructions: '<string>'
})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/brains/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/brains/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'purpose' => '<string>',
'kit_version_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'instance_instructions' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/brains/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"purpose\": \"<string>\",\n \"kit_version_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"instance_instructions\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/brains/{id}")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"purpose\": \"<string>\",\n \"kit_version_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"instance_instructions\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/brains/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"purpose\": \"<string>\",\n \"kit_version_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"instance_instructions\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"outcome": "applied",
"replayed": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"purpose": "<string>",
"view": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"head_version_number": 0,
"created_version_number": 0,
"retired": true
},
"kit": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 0,
"retired": true
},
"instance_instructions": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"retired_at": "<string>",
"doors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "client",
"state": "active",
"label": "<string>",
"subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kit_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invitation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"view": {
"boundary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"retired": true,
"mode": "follow",
"pinned_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"graph_mode": "backed"
},
"assistants": [
{
"kind": "kit",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"added_at": "<string>"
}
]
}
}Brains
Update brain
Edit a brain.
Update brain
curl --request PATCH \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/brains/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"purpose": "<string>",
"kit_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instance_instructions": "<string>"
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/brains/{id}"
payload = {
"name": "<string>",
"purpose": "<string>",
"kit_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instance_instructions": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
purpose: '<string>',
kit_version_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
instance_instructions: '<string>'
})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/brains/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/brains/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'purpose' => '<string>',
'kit_version_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'instance_instructions' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/brains/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"purpose\": \"<string>\",\n \"kit_version_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"instance_instructions\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/brains/{id}")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"purpose\": \"<string>\",\n \"kit_version_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"instance_instructions\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/brains/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"purpose\": \"<string>\",\n \"kit_version_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"instance_instructions\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"outcome": "applied",
"replayed": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"purpose": "<string>",
"view": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"head_version_number": 0,
"created_version_number": 0,
"retired": true
},
"kit": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 0,
"retired": true
},
"instance_instructions": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"retired_at": "<string>",
"doors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "client",
"state": "active",
"label": "<string>",
"subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kit_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invitation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"view": {
"boundary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"retired": true,
"mode": "follow",
"pinned_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"graph_mode": "backed"
},
"assistants": [
{
"kind": "kit",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"added_at": "<string>"
}
]
}
}Operation ID:
http.brains.update
PATCH /v1/orgs/{org}/projects/{project}/brains/{id}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
1–200 printable ASCII characters, no surrounding spaces; '.' and '..' are reserved. Reuse this key with the same request when retrying an uncertain outcome.
Required string length:
1 - 200Pattern:
^(?!\.{1,2}$)[!-~](?:[ -~]*[!-~])?$Body
application/json
Maximum string length:
200Maximum string length:
4096Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$